> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# builderFills

> Native Hyperliquid `/info` operation. Returns the fills `user` routed through `builder`.



## OpenAPI

````yaml /reference/api-json/hyperliquid-info-api-json.json post /v1/hyperliquid/info#45
openapi: 3.0.0
info:
  title: Uniblock Hyperliquid Info API
  description: >-
    Per-operation request/response docs for the Raw Hyperliquid Info dispatch
    endpoint. Each Hyperliquid Info `type` is a synthetic path through the
    single `POST /v1/hyperliquid/info` unified route.
  version: '1.0'
servers:
  - url: https://api.uniblock.dev/uni
    description: Gateway
security:
  - ApiKeyAuth: []
tags:
  - name: Hyperliquid
paths:
  /v1/hyperliquid/info#45:
    post:
      tags:
        - Hyperliquid
      summary: builderFills
      description: >-
        Native Hyperliquid `/info` operation. Returns the fills `user` routed
        through `builder`.
      operationId: builderFills_HyperliquidInfo
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            type: number
            enum:
              - 999
              - 998
            default: 999
            example: 999
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            type: string
            enum:
              - Dwellir
              - Chainstack
              - Covalent
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HyperliquidInfo_builderFills_Request'
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HyperliquidInfo_builderFills_Response'
components:
  schemas:
    HyperliquidInfo_builderFills_Request:
      type: object
      required:
        - type
        - user
        - builder
      properties:
        type:
          type: string
          enum:
            - builderFills
          default: builderFills
          example: builderFills
        user:
          type: string
          description: The account address to query (0x-prefixed).
          example: '0x000000000000000000000000000000000000dEaD'
        builder:
          type: string
          description: The builder address (0x-prefixed).
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
      example:
        type: builderFills
        builder: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
        user: '0x000000000000000000000000000000000000dEaD'
    HyperliquidInfo_builderFills_Response:
      type: array
      description: The user's fills, most recent first.
      items:
        type: object
        required:
          - coin
          - px
          - sz
          - side
          - time
          - hash
          - oid
          - tid
        properties:
          coin:
            type: string
            example: BTC
          px:
            type: string
            example: '63786.0'
          sz:
            type: string
            example: '0.028766'
          side:
            type: string
            description: '`A` for ask (sell), `B` for bid (buy).'
            example: A
          time:
            type: number
            example: 1779580800038
          startPosition:
            type: string
            example: '0.028766'
          dir:
            type: string
            example: Spot Dust Conversion
          closedPnl:
            type: string
            example: '0.0'
          hash:
            type: string
            example: '0x0000000000000000000000000000000000000000000000000000000000000000'
          oid:
            type: number
            example: 439553311407
          crossed:
            type: boolean
            example: true
          fee:
            type: string
            example: '0.0'
          tid:
            type: number
            example: 0
          feeToken:
            type: string
            example: USDC
          twapId:
            type: number
            nullable: true
      example: []
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (Optional)

````